| ar-tigcc Command-Line Options

Previous | Invoking ld-tigcc and ar-tigcc |

The `ar-tigcc` tool can be used to create archives recognized by `ld-tigcc`. The output format is the format used by GNU `ar`, for which this tool is a replacement. This allows for maximum compatibility between archives and programs created with different versions of TIGCC.
In `ar-tigcc`, options and input files may appear in any order in the command line. Input files can have any file format; they are simply written into the archive in the order specified in the command line. However, object files whose format is recognized are searched for exported symbols, so that `ar-tigcc` can create a symbol table for the archive.
If no output file name is specified, `ar-tigcc` uses the name of the first input file and appends a `'.a'` extension to it. It is highly recommended that you specify a different name with the `'--output'` option.
`ar-tigcc` recognizes the following options:

-h
--help
  Print a short description of all available options.
--version
  Print the version number of the tool and a short copyright notice.
--dump
  Display a small dump of the archive file contents. This includes the members as well as the symbols they export.
-o file
--output file
-rc file
-qc file
  Write the output to the file named file. Unlike `ld-tigcc`, `ar-tigcc` does not append a file extension to file. '-rc' and '-qc' are recognized for compatibility with GNU `ar`, so that certain command lines work with GNU `ar` as well as `ar-tigcc`.
--no-names
  Omit the file names of the input files in the archive. The archive will only contain names of the form `fln.o`, where n is the index of the file starting at 1. Omitting file names may be a good idea, especially if you use long file names, since the traditional archive format imposes a maximum of 15 characters on the length of file names. Otherwise, if a file name exceeds this maximum, it will be cut off at the 16th character. The IDE and the `tigcc` command line compiler always use this option.